Create Or Update BMC Credential

View as Markdown

Create or update a site-wide or per-BMC root credential. Equivalent to carbide-admin-cli credential add-bmc.

User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Request

This endpoint expects an object.
siteIdstringRequiredformat: "uuid"
ID of the Site where the credential is stored.
kindenumRequired
Which BMC credential to store.
passwordstringRequired>=1 character
Credential password.
usernamestringOptional

Optional username; Core defaults to “root” for bmc-root when omitted.

macAddressstringOptional

BMC MAC address. Required for kind bmc-root, ignored for site-wide-root.

Response

OK
siteIdstringformat: "uuid"
ID of the Site where the credential is stored.
kindenum
Which BMC credential was stored.
usernamestring

Optional username; Core defaults to “root” for bmc-root when omitted.

macAddressstring

BMC MAC address. Required for kind bmc-root, ignored for site-wide-root.

Errors

403
Forbidden Error